> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v0config

> Get config by type, language, repo and optional version. Returns the latest config if version is not specified.



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/config
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/config:
    get:
      tags:
        - config
      description: >-
        Get config by type, language, repo and optional version. Returns the
        latest config if version is not specified.
      operationId: getConfig
      parameters:
        - name: config_type
          in: query
          required: true
          schema:
            type: string
        - name: repo
          in: query
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
        - name: version
          in: query
          required: false
          schema:
            type: string
        - name: namespace
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Config found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfigResponse'
        '404':
          description: Config not found
components:
  schemas:
    GetConfigResponse:
      type: object
      required:
        - config_type
        - version
        - config_value
        - created_at
        - project_root
        - namespace
      properties:
        config_type:
          description: Type of configuration
          type: string
        language:
          description: Programming language associated with the config (optional)
          type: string
          nullable: true
        repo:
          description: Repository associated with the config (optional)
          type: string
          nullable: true
        project_root:
          description: Project root directory (optional)
          type: string
        version:
          description: Version of the configuration
          type: string
        config_value:
          description: Configuration value as JSON
          type: object
          additionalProperties:
            type: string
        namespace:
          description: Namespace (qa/sandbox/prod) of config
          type: string
        created_at:
          description: Date time at which the config was created
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````